<mat-toolbar color="primary">
    <i id="icon" class="material-icons">
        local_grocery_store
    </i>
    <span class="fill-remaining-space">Auto Compra</span>
</mat-toolbar>
<div style="height: 30px;"></div>
<h1 mat-dialog-title>Cadastro de cliente </h1>
<div mat-dialog-content>

  <div *ngIf="hide">
    <mat-form-field class="fullwidth">
      <input type="number" disabled="true" matInput placeholder="Id cliente" id="id" [(ngModel)]="cliente.id"
        name="id">
    </mat-form-field>
  </div>

  <p>
    <mat-form-field class="fullwidth">
      <input type="text" matInput placeholder="Nome" id="firstName" [(ngModel)]="cliente.firstName" name="firstName">
    </mat-form-field>
  </p>

  <p>
    <mat-form-field class="fullwidth">
      <input type="text" matInput placeholder="Sobrenome" id="lastName" [(ngModel)]="cliente.lastName" name="lastName">
    </mat-form-field>
  </p>

  <td>
    <mat-form-field class="fullwidth">
      <input type="email" matInput placeholder="E-mail" id="emailPadrao" [(ngModel)]="cliente.emailPadrao" name="emailPadrao">
    </mat-form-field>
  </td>

  <p>
    <mat-form-field class="fullwidth">
      <input type="password" matInput placeholder="Senha" id="senhaPadrao" [(ngModel)]="cliente.senhaPadrao" name="senhaPadrao">
    </mat-form-field>
  </p>

  <p>
   <mat-form-field class="fullwidth">
      <input type="password" matInput placeholder="Confirmar senha" id="confirmarSenha" [(ngModel)]="confirmarSenha" name="confirmarSenha">
    </mat-form-field>
  </p>
  <div style="height: 30px;"></div>
  <p>
    <button id="btClose" mat-button (click)="onCloseDialog()">Sair</button>
    <button id="btSave" mat-button (click)="onValidateForm()">Salvar</button>
  </p>

</div>
